/* - - - - - - - - - - - - - - - - - - - - -
TCEforms
- - - - - - - - - - - - - - - - - - - - - */

img.t3-TCEforms-reqImg {
	display: block;
	position: absolute;
	left: 14px;
	top: 28%;
	z-index: 3000;
	height: 16px;
	margin-right: 2px;
	width: 16px;
}

img.t3-TCEforms-reqTabImg {
	height: 16px;
	margin-left: 4px;
	margin-bottom: -3px;
	width: 16px;
}

img.t3-TCEforms-contentchangedImg {
	display: block;
	position: absolute;
	left: 4px;
	top: 32%;
	z-index: 4000;
	width: 7px;
}

.t3-form-palette-icon-required {
	display: block;
	position: absolute;
	left: 4px;
	top: 26%;
	z-index: 3000;
	height: 16px;
	margin-right: 2px;
	width: 16px;
}
/* renamed to .t3-form-palette-icon-required, lines below kept for backwards-compatibility */
img.t3-TCEforms-reqPaletteImg {
	display: block;
	position: absolute;
	left: 14px;
	top: 30%;
	z-index: 3000;
	height: 16px;
	margin-right: 2px;
	width: 16px;
}

.t3-form-palette-icon-contentchanged {
	display: block;
	position: absolute;
	left: -6px;
	top: 30%;
	z-index: 4000;
	width: 7px;
}
/* renamed to .t3-form-palette-icon-contentchanged, lines below kept for backwards-compatibility */
img.t3-TCEforms-contentchangedPaletteImg {
	display: block;
	position: absolute;
	left: 4px;
	top: 30%;
	z-index: 4000;
	width: 7px;
}

.typo3-TCEforms {
	width: 100%;
}


.typo3-TCEforms-recHeaderRow {
	padding-top: 5px;
	padding-bottom: 20px;
}

table.wrapperTable tr.class-main2 td.palette-header,
table.wrapperTable1 .class-main12 td.palette-header {
	padding-left: 10px;
}

.typo3-TCEforms .bgColor2,
.typo3-TCEforms tr.bgColor2 td {
	padding-bottom: 5px;
}

.typo3-TCEforms optgroup.c-divider,
select option.c-divider {
	margin-top: 10px;
	padding: 0px;
}

.typo3-TCEforms optgroup option {
	margin: 0px;
	padding: 2px;
}


.typo3-TCEforms select.icon-select option {
	padding-left: 22px;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox {
	margin-bottom: 10px;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox tbody {
	display: block;
	max-height: 300px;
	overflow-y: scroll;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox tr td {
	vertical-align: middle;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox tr.c-header td,
.typo3-TCEforms table.typo3-TCEforms-select-checkbox tr td.c-checkbox,
.typo3-TCEforms table.typo3-TCEforms-select-checkbox tr td.c-labelCell {
	padding: 1px 3px;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox tr td.c-labelCell {
	min-width: 300px;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox tr td.c-labelCell img {
	margin-right: 5px;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox td.c-descr {
	width: 40px;
}

.typo3-TCEforms table.typo3-TCEforms-select-checkbox td.c-descr img {
	float: right;
}

.typo3-TCEforms table.typo3-TCEforms-select-singlebox {
	margin-bottom: 10px;
	margin-top: 4px;
}

.checkbox,
.checkbox:hover {
	margin: 4px 0 4px 2px;
	position: relative;
	z-index: 3500;
}

.typo3-TCEforms .class-main1 > td,
.typo3-TCEforms .class-main11 > td,
.typo3-TCEforms .class-main21 > td,
.typo3-TCEforms .class-main31 > td,
.typo3-TCEforms .class-main41 > td,
.typo3-TCEforms .class-main51 > td {
	padding: 2px 0px 2px 0px;
}

.typo3-TCEforms .class-main2 > td,
.typo3-TCEforms .class-main12 > td,
.typo3-TCEforms .class-main22 > td,
.typo3-TCEforms .class-main32 > td,
.typo3-TCEforms .class-main42 > td,
.typo3-TCEforms .class-main52 > td {
	padding: 6px 0px 2px 0px;
}

.typo3-TCEforms .class-main3,
.typo3-TCEforms .class-main13,
.typo3-TCEforms .class-main23,
.typo3-TCEforms .class-main33,
.typo3-TCEforms .class-main43,
.typo3-TCEforms .class-main53 {
	padding: 2px 0px 2px 0px;
}

.typo3-TCEforms td.formField-header,
.typo3-TCEforms td.palette-header,
.typo3-TCEforms td.formField-field {
	display: block;
	position: relative;
	padding-left: 10px;
	padding-right: 10px;
}

.typo3-TCEforms .formField,
.typo3-TCEforms .formField1,
.typo3-TCEforms .formField2,
.typo3-TCEforms .formField3,
.typo3-TCEforms .formField4,
.typo3-TCEforms .formField5 {
	vertical-align: middle;
	position: relative;
}

.typo3-TCEforms .formField:focus,
.typo3-TCEforms .formField1:focus,
.typo3-TCEforms .formField2:focus,
.typo3-TCEforms .formField3:focus,
.typo3-TCEforms .formField4:focus,
.typo3-TCEforms .formField5:focus {
	z-index: 3500;
}

.typo3-TCEforms .wrapperTable,
.typo3-TCEforms .wrapperTable1,
.typo3-TCEforms .wrapperTable2,
.typo3-TCEforms .wrapperTable3,
.typo3-TCEforms .wrapperTable4,
.typo3-TCEforms .wrapperTable5 {
	padding: 5px 0 5px 0;
}

.typo3-TCEforms td.icons {
	padding: 2px;
}

.typo3-TCEforms td.thumbnails {
	padding-top: 2px;
}

.typo3-TCEforms div.imagethumbs {
	padding-top: 2px;
	white-space: normal;
	width: 253px;
}

.typo3-TCEforms div.imagethumbs br {
	display: none;
}

.typo3-TCEforms div.imagethumbs .nobr {
	display: inline-block;
	width: 60px;
	height: 60px;
	overflow: hidden;
	margin-right: 3px;
	margin-bottom: 1px;
	text-align: center;
}

.typo3-TCEforms div.imagethumbs .nobr a {
	display: block;
	width: 60px;
	height: 60px;
	line-height: 58px;
	text-align: center;
}

.typo3-TCEforms div.imagethumbs .nobr a img {
	display: inline;
	margin-right: auto;
	vertical-align: middle;
	margin-left: auto;
}

.typo3-TCEforms div.imagethumbs .nobr span {
	display: none;
}

.typo3-TCEforms span.filetypes {
	display: block;
	margin-top: 6px;
	white-space: normal;
	width: 250px;
}

.t3-form-field-container {
	display: block;
}

.typo3-TCEforms-palette .typo3-csh-link img {
	padding-top: 3px;
	vertical-align: top;
}

.typo3-TCEforms-palette select.select,
.t3-form-palette-field-container select.select {
	margin: 4px 2px 4px 1px;
}

.t3-form-palette-field-container {
	display: inline-block;
	vertical-align: top;
	padding-right: 25px;
}

.t3-form-palette-field-container .t3-form-palette-field-label,
.t3-form-palette-field-container .t3-form-palette-field {
	display: block;
	position: relative;
}

.typo3-TCEforms .typo3-csh-link {
	margin-left: 5px;
}

.t3-tceforms-fieldReadOnly {
	/** Lock icon in right corner */
	padding: 3px 30px 3px 6px;
	margin: 0 0.5em 0.5em 0;
	position: relative;
}

/* - - - - - - - - - - - - - - - - - - - - -
TCEforms suggest
- - - - - - - - - - - - - - - - - - - - - */
div.typo3-TCEforms-suggest-position-right {
	margin-left: 10px;
	margin-top: 5px;
}

div.typo3-TCEforms-suggest label {
	margin-right: 5px;
}

div.typo3-TCEforms-suggest-indicator {
	left: 230px;
	position: relative;
	top: -18px;
}

div.typo3-TCEforms-suggest-choices {
	position: absolute;
	width: 250px;
	z-index: 4000;
}

div.typo3-TCEforms-suggest-choices ul {
	margin: 0;
	padding: 0;
}

div.typo3-TCEforms-suggest-choices li {
	display: block;
	margin: 0;
	padding: 4px 2px 4px 24px;
}

div.typo3-TCEforms-suggest-choices li.suggest-noresults {
	height: auto;
}

div.typo3-TCEforms-suggest-choices span.suggest-uid {
	margin-left: 0.3em;
}

div.typo3-TCEforms-suggest-choices span.suggest-path {
	margin-top: 0.3em;
}

input.typo3-TCEforms-suggest-search {
	width: 200px;
	padding-left: 20px;
	vertical-align: middle;
}


/* - - - - - - - - - - - - - - - - - - - - -
TCEforms Flexforms
- - - - - - - - - - - - - - - - - - - - - */
/** tabs inside the table => flexforms */
.typo3-TCEforms .wrapperTable .typo3-dyntabmenu-divs,
.typo3-TCEforms .wrapperTable1 .typo3-dyntabmenu-divs,
.typo3-TCEforms .wrapperTable2 .typo3-dyntabmenu-divs,
.typo3-TCEforms .wrapperTable3 .typo3-dyntabmenu-divs,
.typo3-TCEforms .wrapperTable4 .typo3-dyntabmenu-divs,
.typo3-TCEforms .wrapperTable5 .typo3-dyntabmenu-divs {
	margin-right: 20px;
	margin-bottom: 10px;
}

.t3-form-field-label-flex {
	padding: 5px;
}

.t3-form-field-flex {
	padding: 0 5px 5px;
}


/* - - - - - - - - - - - - - - - - - - - - -
TCEforms Inline-Relational-Record-Editing
- - - - - - - - - - - - - - - - - - - - - */
.t3-form-field-container-wrap {
	margin: 6px 0px;
}

.t3-form-field-container-inline {
	margin: 2px 0px;
}

.t3-form-field-header-inline > span {
	position: absolute;
	left: 4px;
	top: 15px;
}

.t3-form-field-header-inline-wrap:before,
.t3-form-field-header-inline-wrap:after {
	content: " ";
	display: table;
}

.t3-form-field-header-inline-wrap:after {
    clear: both;
}

.t3-form-field-header-inline-wrap {
	min-width: 300px;
}

.t3-form-field-header-inline-icon,
.t3-form-field-header-inline-thumbnail {
	float: left;
	margin-right: 5px;
}

.t3-form-field-header-inline-icon {
	width: 18px;
	height: 16px;
	padding: 3px 0px;
}

.t3-form-field-header-inline-thumbnail {
	float: left;
	margin-right: 15px;
}

.t3-form-field-header-inline-thumbnail img {
	display: block;
}

.t3-form-field-header-inline-ctrl {
	float: right;
}

.t3-form-field-header-inline-ctrl .t3-icon {
	margin: 0px;
	margin-left: 3px;
}

.t3-form-field-header-inline-body,
.t3-form-field-header-inline-summary {
	overflow: hidden;
	zoom: 1;
}

.t3-form-field-header-inline-thumbnail,
.t3-form-field-header-inline-summary {
	cursor: pointer;
}

.t3-form-field-header-inline-ctrl,
.t3-form-field-header-inline-summary {
	padding: 5px 0px;
}

.t3-form-field-header-inline-summary dl {
	margin: 0px;
	overflow: hidden;
}

.t3-form-field-header-inline-summary dt {
	font-weight: bold;
	float: left;
	clear: left;
	margin-right: 10px;
}

.t3-form-field-header-inline-summary dd {
	float: left;
}

.t3-form-field-header-inline-ctrl img {
	vertical-align: middle;
}

.t3-form-field-header-inline .t3-form-field-header-inline-ctrl > * {
	opacity: 0;
}

.t3-form-field-header-inline:hover .t3-form-field-header-inline-ctrl > * {
	opacity: 1;
}

.t3-form-field-header-inline .t3-form-field-header-inline-ctrl > span.sortableHandle {
	margin-left: 16px;
	opacity: 1;
	display: inline-block;
}

.t3-form-field-container-inline-placeHolder div.t3-form-field-record-inline,
.t3-form-field-container-inline-collapsed div.t3-form-field-record-inline {
	display:none !important;
}

.t3-form-field-header-inline {
	padding: 6px 16px;
	position:relative;
}

.t3-form-field-container-inline-placeHolder .t3-form-field-header-inline > span {
	display:none;
}

.t3-form-field-record-inline {
	padding: 8px 8px;
	position: relative;
}

.t3-form-field-record-inline > table {
    width:100%;
}

.t3-form-field-record-inline .typo3-dyntabmenu-divs,
.t3-form-field-record-inline .typo3-dyntabmenu-tabs {
	margin-left:8px;
	margin-right:8px !important;
	margin-bottom:0px !important;
}

.sortableHandle {
	cursor: move;
}

/* - - - - - - - - - - - - - - - - - - - - -
TCEforms Sections
- - - - - - - - - - - - - - - - - - - - - */
.t3-form-field-container-flexsection {
	padding-left: 20px;
}

.t3-form-field-header-flexsection {
	width: 100%;
	height: 16px;
}

.t3-form-field-label-flexsection {
	padding: 5px 10px;
}

.t3-form-field-toggle-flexsection {
	padding: 5px 0 5px 20px;
}

.t3-form-field-add-flexsection {
	padding: 10px 5px 5px 20px;
}

.t3-form-field-container-flexsections {
	margin: 5px 0;
}

.t3-form-field-record-flexsection {
	padding: 5px 0;
}

.t3-form-field-record-flexsection > div {
	margin:0 10px;
}

/* preview image in sys_file records */
img.t3-tceforms-sysfile-imagepreview {
	float: left;
	margin-right: 10px;
	margin-bottom: 10px;
}

* html div#typo3-docbody .typo3-TCEforms {
	margin-top: 20px;
}

.typo3-TCEforms .formField-field img[src*="clear.gif"],
.typo3-TCEforms .t3-form-palette-field img[src*="clear.gif"] {
	z-index: 0;
}
